%global srcname colcon-ed

Name:           python-%{srcname}
Version:        0.2.2
Release:        1%{?dist}
Summary:        Extension for colcon to edit a file within a package

License:        ASL 2.0
URL:            https://colcon.readthedocs.io
Source0:        https://github.com/colcon/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
An extension for colcon-core to edit a file within a package.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools >= 30.3.0
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%if %{undefined __pythondist_requires}
Requires:       python%{python3_pkgversion}-colcon-core >= 0.5.2
%endif

%description -n python%{python3_pkgversion}-%{srcname}
An extension for colcon-core to edit a file within a package.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
%{__python3} -m pytest \
    --ignore=test/test_spell_check.py \
    --ignore=test/test_flake8.py \
    test


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/colcon_ed/
%{python3_sitelib}/colcon_ed-%{version}-py%{python3_version}.egg-info/


%changelog
* Mon Jan 03 2022 Scott K Logan <logans@cottsay.net> - 0.2.2-1
- Update to 0.2.2 (rhbz#2026254)

* Mon Nov 02 2020 Scott K Logan <logans@cottsay.net> - 0.1.2-1
- Update to 0.1.2 (rhbz#1893555)

* Wed Sep 30 2020 Scott K Logan <logans@cottsay.net> - 0.1.1-1
- Update to 0.1.1 (rhbz#1880755)

* Sun May 10 2020 Scott K Logan <logans@cottsay.net> - 0.1.0-1
- Initial package (rhbz#1833745)
